﻿using Microsoft.AspNetCore.Mvc;
using Schedule.Model;
using System.Linq;
using System.Collections.Generic;
using System;
using System.Reflection;

namespace Schedule.Controllers
{
    public class HomeController : Controller
    {
        private ScheduleDataContext _context;
        public IActionResult Index()
        {
            return View();
        }
        public List<DefaultSchedule> GetData()
        {

            List<DefaultSchedule> datas = _context.DefaultSchedule.Take(500).ToList();
            return datas;
        }

        public HomeController(ScheduleDataContext context)
        {
            _context = context;
        }


        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }
    }
}
